Subject: [PATCH] arm64: alternative:flush cache with unpatched code

From: [email-masked] (Alexander Van Brunt)
Date: Wed, 6 Jun 2018 16:16:19 +0000

> You know we already do this on boot, right? If it's a real issue, I'd argue
> that it's the hypervisor's problem to solve.

I am very aware. I would like to fix the rest of boot and change KVM to trap when the guest does something like that.

But, if you don't want the patch without using an invalidate all, I would rather get Rohit's patch in with an invalidate all than have a system that fails to boot.